liblua5.3-devel-5.3.4-alt2.x86_64.rpm


Advertisement

Description

liblua5.3-devel - Development files for lua

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name liblua5.3-devel
Package version 5.3.4
Package release alt2
Package architecture x86_64
Package type rpm
Installed size 47.30 KB
Download size 47.30 KB
Official Mirror ftp.altlinux.org
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.
This package contains development files for lua.

Alternatives

Package Version Architecture Repository
liblua5.3-devel-5.3.4-alt2.i586.rpm 5.3.4 i586 Classic
liblua5.3-devel - - -

Requires

Name Value
/usr/lib64/pkgconfig -
lua5.3 = 5.3.4-alt2
rpmlib(PayloadIsLzma) -

Provides

Name Value
liblua-devel = 5.3.4-alt2
liblua5-devel = 5.3.4-alt2
liblua5.3-devel = 5.3.4-alt2
lua-devel = 5.3.4-alt2
lua5.3-devel = 5.3.4-alt2
pkgconfig(lua) = 5.3.0

Conflicts

Name Value
liblua-devel < 5.3.4
liblua4-devel < 5.3.4
liblua5-devel < 5.3.4-alt2

Obsoletes

Name Value
liblua5-devel < 5.3.4-alt2

Download

Type URL
Binary Package liblua5.3-devel-5.3.4-alt2.x86_64.rpm
Source Package lua5.3-5.3.4-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install liblua5.3-devel rpm package:
    # sudo apt-get install liblua5.3-devel

Files

Path
/etc/buildreqs/packages/substitute.d/liblua5.3-devel
/usr/include/lauxlib.h
/usr/include/lua.h
/usr/include/lua.hpp
/usr/include/luaconf-x86_64.h
/usr/include/luaconf.h
/usr/include/lualib.h
/usr/lib64/liblua.so
/usr/lib64/pkgconfig/lua.pc

Changelog

See lua5.3-5.3.4-alt2.x86_64.rpm changelog.

See Also

Package Description
liblua5.3-devel-static-5.3.4-alt2.x86_64.rpm Static library for lua
libluajit-2.1-alt6.x86_64.rpm library for luajit
libluajit-devel-2.1-alt6.x86_64.rpm Development package that includes the luajit header files
libluajit-devel-static-2.1-alt6.x86_64.rpm static library for luajit
liblucene++-3.0.7-alt5.x86_64.rpm A high-performance, full-featured text search engine written in C++
liblucene++-devel-3.0.7-alt5.x86_64.rpm Development files for lucene++
liblur-0.9.901-alt0.2.x86_64.rpm Logitech Unifying Receiver library
liblur-devel-0.9.901-alt0.2.x86_64.rpm Development files for liblur
liblvm2-2.02.181-alt1.x86_64.rpm LVM2 shared libraries
liblvm2-devel-2.02.181-alt1.x86_64.rpm LVM2 development libraries and headers
liblwp-2.6-alt1_16.x86_64.rpm C library for user-mode threading
liblwp-devel-2.6-alt1_16.x86_64.rpm Development files for lwp
liblxqt-0.13.0-alt1.1.x86_64.rpm Core utility library for LXDE-Qt components
liblxqt-devel-0.13.0-alt1.1.x86_64.rpm Development headers for LXQt library
liblz4-1.8.3-alt1.x86_64.rpm Fast LZ compression algorithm shared library
Advertisement
Advertisement